Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.Timer1

    java.lang.Object
      avrora.sim.mcu.ATMega128L.SimImpl.Timer16Bit
          avrora.sim.mcu.ATMega128L.SimImpl.Timer1

Enclosing class:
  ATMega128L.SimImpl

protected class ATMega128L.SimImpl.Timer1
extends ATMega128L.SimImpl.Timer16Bit

`Timer1` is a 16-bit timer available on the ATMega128L.

Nested Class Summary

Nested classes inherited from class avrora.sim.mcu.ATMega128L.SimImpl.Timer16Bit
`ATMega128L.SimImpl.Timer16Bit.BufferedRegister, ATMega128L.SimImpl.Timer16Bit.ControlRegister, ATMega128L.SimImpl.Timer16Bit.ControlRegisterA, ATMega128L.SimImpl.Timer16Bit.ControlRegisterB, ATMega128L.SimImpl.Timer16Bit.ControlRegisterC, ATMega128L.SimImpl.Timer16Bit.OCRnxPairedRegister, ATMega128L.SimImpl.Timer16Bit.OCRnxTempHighRegister, ATMega128L.SimImpl.Timer16Bit.PairedRegister, ATMega128L.SimImpl.Timer16Bit.TCNTnRegister, ATMega128L.SimImpl.Timer16Bit.Ticker`

Field Summary

Fields inherited from class avrora.sim.mcu.ATMega128L.SimImpl.Timer16Bit
`BOTTOM, MAX, MODE_CTC_ICRn, MODE_CTC_OCRnA, MODE_FASTPWM_10_BIT, MODE_FASTPWM_8_BIT, MODE_FASTPWM_9_BIT, MODE_FASTPWM_ICRn, MODE_FASTPWM_OCRnA, MODE_NORMAL, MODE_PWM_PHASE_CORRECT_10_BIT, MODE_PWM_PHASE_CORRECT_8_BIT, MODE_PWM_PHASE_CORRECT_9_BIT, MODE_PWM_PNF_ICRn, MODE_PWM_PNF_OCRnA, MODE_PWN_PHASE_CORRECT_ICRn, MODE_PWN_PHASE_CORRECT_OCRnA, periods, xTIFR_reg, xTIMSK_reg`

Constructor Summary
`protected` | `ATMega128L.SimImpl.Timer1(BaseInterpreter ns)`

Method Summary
`protected void` | `initValues()`

Methods inherited from class avrora.sim.mcu.ATMega128L.SimImpl.Timer16Bit
`compareMatchA, compareMatchB, compareMatchC, overflow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATMega128L.SimImpl.Timer1

    protected ATMega128L.SimImpl.Timer1(BaseInterpreter ns)

Method Detail

### initValues

    protected void initValues()

  Specified by:
    `initValues` in class `ATMega128L.SimImpl.Timer16Bit`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD